Package: tuxcmd-modules / 0.6.70+ds-5

Metadata

Package Version Patches format
tuxcmd-modules 0.6.70+ds-5 3.0 (quilt)

Patch series

view the series file
Patch File delta Description
02_do_not_install_in_lib64_for_amd64.patch | (download)

gvfs/Makefile | 4 1 + 3 - 0 !
libarchive/Makefile | 4 1 + 3 - 0 !
zip/Makefile | 4 1 + 3 - 0 !
3 files changed, 3 insertions(+), 9 deletions(-)

 tuxcmd-modules makefiles checks if uname -m returns x86_64 
 and if yes, modules are installed under /usr/lib64/tuxcmd. They should 
 be installed under /usr/lib/tuxcmd on all archs.
Fix FTBFS because removal of ARCHIVE_LIBRARY_VERSION.patch | (download)

libarchive/libarchive.c | 2 1 + 1 - 0 !
1 file changed, 1 insertion(+), 1 deletion(-)

 fix build failure because of removal of archive_library_version.
 Use ARCHIVE_VERSION_STRING instead.
Bug-Debian: http://bugs.debian.org/653233
glib single include.patch | (download)

gvfs/gvfs.c | 2 1 + 1 - 0 !
1 file changed, 1 insertion(+), 1 deletion(-)

 including individual glib headers is no longer supported
 Include now glib.h directly as including individual glib headers
 has been deprecated and with glib 2.32 it is now mandatory to
 include glib.h
fix FTBFS with gcc 4.7.patch | (download)

zip/ZipArchive/ZipCollections_stl.h | 16 8 + 8 - 0 !
zip/ZipArchive/stdafx.h | 1 1 + 0 - 0 !
2 files changed, 9 insertions(+), 8 deletions(-)

 fix ftbfs with gcc 4.7
 .
 Add GCC 4.7 compatibility for ZipArchive